import * as __WEBPACK_EXTERNAL_MODULE__useParentRecordCommon_mjs__ from "../../../useParentRecordCommon.mjs";
function useDetailsWithPaginationDecoratorProps(props) {
    let parentRecord;
    if (props.association) parentRecord = (0, __WEBPACK_EXTERNAL_MODULE__useParentRecordCommon_mjs__.useParentRecordCommon)(props.association);
    return {
        parentRecord
    };
}
export { useDetailsWithPaginationDecoratorProps };
